Bug 66062 - RFE: option for totally quiet boot until fsck requires interactivity
Summary: RFE: option for totally quiet boot until fsck requires interactivity
Status: RESOLVED FIXED
Alias: None
Product: systemd
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Hardware: Other All
: medium enhancement
Assignee: systemd-bugs
QA Contact: systemd-bugs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-23 01:15 UTC by lmello.009
Modified: 2014-02-21 17:25 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description lmello.009 2013-06-23 01:15:58 UTC
During boot, to avoid plymouth and other bootloaders for a 'clean' boot one could simply use:

MaxLevelConsole=emerg

on (typical installation) /etc/systemd/journald.conf.

However, it would be nice to have an option for nothing to be displayed during boot/shutdown/restart, unless it requires user interaction (for example, when fsck requests to be ran manually).
Comment 1 Lennart Poettering 2013-07-26 02:00:09 UTC
Humm, but how should we detect that? fsck only reports that in english languages, which we are not going to parse...
Comment 2 Kay Sievers 2013-07-26 03:09:11 UTC
My machine boots and reboots without any printed console message, and no
plymouth used, just by adding "quiet" to the kernel command line.
Comment 3 lmello.009 2013-07-26 04:21:55 UTC
(In reply to comment #2)
> My machine boots and reboots without any printed console message, and no
> plymouth used, just by adding "quiet" to the kernel command line.

Hi Kay,

Which distro do you use and what systemd version do you have? I'm on Arch. I also have 'quiet' added to my kernel command line on /etc/default/grub with the line:

GRUB_CMDLINE_LINUX_DEFAULT="quiet"

But fsck messages are displayed during boot, and if I have USB drives plugged in I also see a bunch of garbage printed.

ps: I see that Bug 57216 was recently fixed...
Comment 4 Kay Sievers 2013-07-26 09:08:29 UTC
Oh, I have btrfs, which fsck's inside the kernel, not with a userspace
tool that spits stuff to the console.

Your fsck too should be fixed then, I guess, or configured to not put things
out as long as all is fine.
Comment 5 lmello.009 2013-07-26 19:36:06 UTC
(In reply to comment #4)
> or configured to not put things
> out as long as all is fine.

Well, I know that fsck is run at boot according to /etc/fstab. I do not know if it's possible to not go verbose if everything's fine, though...
Comment 6 Lennart Poettering 2014-02-21 17:25:10 UTC
With 209 we will now turn on boot-time output as soon as something takes too long to start or fails. 

We never supported interactive fsck on the boot screen. Instead we expect fsck to fail, in which case emergency mode is started where the user can then start fsck manually in interactive mode. And I think this is good that way...

Putting this together I think this is as implemented as we it should be implemented.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.